### Method

# Ide Runner set_pty

#### Declaration

    void
    ide_runner_set_pty (
      IdeRunner* self,
      VtePty* pty
    )

#### Description

Sets the `VtePty` to use for the runner.

This is equivalent to calling `ide_runner_set_tty()` with the result of vte_pty_get_fd().

Available since: | 3.32

#### Parameters

`pty` | `VtePty`
| A `VtePty` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.